# John Kerl
# kerl.john.r@gmail.com
# 2008-03-27

# RCM library:
librcm.mki

# Tests for lattice population and the distance function:
test_lattice.mki

# Tests for statistics routines (mean, variance, covariance):
test_stats.mki

# Tests for unit-uniform random numbers, Gaussian deviates, Brownian motion,
# and Brownian bridges:
test_random.mki
test_gasdev.mki
test_brownian.mki

# Tests for the Brownian-bridge database:
test_brdb_pop.mki
test_brdb_write.mki
test_brdb_read.mki
test_brdb_slice.mki

# Permutation tests:
test_pmt.mki
test_kth_pmt.mki
test_ell_x.mki
test_n2.mki
test_pmt_math.mki
test_rand_pmt.mki

# Tests for energy computations:
test_energy.mki
test_delta_h.mki
test_V4.mki
test_V2_IX.mki  # Integral vs. exact for r1 = r2, many points.
test_V2_IB.mki  # Integral vs. bridge, many points.
test_V2_IB1.mki # Integral vs. bridge, higher accuracy, single points.

# Table-interpolated integrals.
test_V2_interp.mki
test_v2db.mki
v2db_write.mki
v2db_info.mki

# Tests for Metropolis:
test_metro_windows.mki
mcrcm.mki
